Creates a new job_priority object

Request Information

URI Parameters :

None.

Body Parameters :

job_priority
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the priority

string

Required

Max length: 50

is_default

If default, will be auto selected when creating new jobs

boolean
sequence

Sorting field (0 first)

integer
sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating job_priority

string
sales_organization

Embedded entity "sales_organization" when adding/updating job_priority

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "eea2755c-3b99-4a6c-a001-841ab9143a80",
  "name": "sample string 2",
  "is_default": true,
  "sequence": 4,
  "sales_organization_id": "7d364650-5da1-4e61-837e-cd68a9723ab3",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "512a6777-9eef-4de3-a74c-3778e84336b1",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "acc730c0-761f-474b-9725-2814afa02e96",
    "db_currency_id": "486ef80b-c6b5-4f4f-9426-0f54ea3f7f6d",
    "db_language_id": "32a91bb5-8b74-4dea-9453-bee67b7f32e1",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-05-03T18:50:12.4822937+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-05-03T18:50:12.4822937+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.